Tasks
All operations require authentication.
2 operationsv1/overTheBox/{serviceName}
List the tasks of an OverTheBox serviceProduction
GET
/1.0/ overTheBox/ {serviceName}/ tasks
List the tasks of an OverTheBox service. Returns the IDs of the tasks scheduled on the service, which can be filtered by status and name.
Path parameters
service Name
required
string
The internal name of your overTheBox offer
Query parameters
name
string
Filter the value of name property (=)
status
Task Status Enum
Filter the value of status property (=)
Values
doingdoneerrortodoResponse
200string []successful operation
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ overTheBox/ {serviceName}/ tasks \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a task of an OverTheBox serviceProduction
GET
/1.0/ overTheBox/ {serviceName}/ tasks/ {taskId}
Get a task of an OverTheBox service. Returns the name and status of a task scheduled on the service, such as an IPv6 or operation mode change.
Path parameters
service Name
required
string
The internal name of your overTheBox offer
task Id
required
string
The id of the task
Response
200Tasksuccessful operation
name
read-only
string
The name of the task
status
read-only
Task Status Enum
The status of the task
Values
doingdoneerrortodotask Id
read-only
string
The id of the task
Example uses serviceName = string, taskId = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ overTheBox/ {serviceName}/ tasks/ {taskId} \
-H "authorization: Bearer $OVH_TOKEN"{ "name": "string", "status": "doing", "taskId": "string"}